Skip to content

User Audit Log

Request

Get a list of changes to this user

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
user_idintegerrequired

Numeric ID of the user

Query
page_limitinteger, [ 1 .. 1000 ]

Number of elements in the collection to retrieve

Example:page_limit=100
page_offsetinteger, [ 0 .. 1000 ]

Index of the first element in the collection to retrieve

Example:page_offset=0
GET
/users/{user_id}/history
curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/users/{user_id}/history?page_limit=100&page_offset=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Audit log response

Bodyapplication/json
dataArray of objects or null
metaobject(pagination metadata)
Response
{ "data": [ {} ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }